<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.7" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__ota__defaults_8h" kind="file">
    <compoundname>cy_ota_defaults.h</compoundname>
    <includes local="yes">cy_result.h</includes>
    <includedby local="yes" refid="cy__ota__api_8h">cy_ota_api.h</includedby>
    <incdepgraph>
      <node id="24">
        <label>cy_result.h</label>
      </node>
      <node id="23">
        <label>cy_ota_defaults.h</label>
        <link refid="cy_ota_defaults.h" />
        <childnode refid="24" relation="include">
        </childnode>
      </node>
    </incdepgraph>
      <sectiondef kind="define">
      <memberdef id="group__group__ota__typedefs_1gab585a7541d7bb222fbff7719555f68b0" kind="define" prot="public" static="no">
        <name>CY_OTA_INITIAL_CHECK_SECS</name>
        <initializer>(60)           /* 60 seconds */</initializer>
        <briefdescription>
<para>Initial OTA check. </para>        </briefdescription>
        <detaileddescription>
<para>Time from when cy_ota_start() is called to when the OTA Agent first checks for an update. You can over-ride this define in cy_ota_config.h</para><para>Minimum value is CY_OTA_INTERVAL_SECS_MIN. Maximum value is CY_OTA_INTERVAL_SECS_MAX. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="45" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="45" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga9c17fd8b3a98ec9f3f21ba475418227a" kind="define" prot="public" static="no">
        <name>CY_OTA_NEXT_CHECK_INTERVAL_SECS</name>
        <initializer>(60 * 60 * 24) /* once per day */</initializer>
        <briefdescription>
<para>Next OTA check. </para>        </briefdescription>
        <detaileddescription>
<para>Time from when after OTA Agent completes or fails an update until the next check. You can over-ride this define in cy_ota_config.h</para><para>Minimum value is CY_OTA_INTERVAL_SECS_MIN. Maximum value is CY_OTA_INTERVAL_SECS_MAX. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="58" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="58" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga5f7048d0e07022decfaa5cd9afcfa2d1" kind="define" prot="public" static="no">
        <name>CY_OTA_RETRY_INTERVAL_SECS</name>
        <initializer>(5)            /* 5 seconds */</initializer>
        <briefdescription>
<para>Retry Interval. </para>        </briefdescription>
        <detaileddescription>
<para>Time between failures for connection before we re-try. You can over-ride this define in cy_ota_config.h Minimum value is CY_OTA_INTERVAL_SECS_MIN. Maximum value is CY_OTA_INTERVAL_SECS_MAX. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="70" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="70" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga857fb18dbbc8e462f9eefa30d57afefb" kind="define" prot="public" static="no">
        <name>CY_OTA_CHECK_TIME_SECS</name>
        <initializer>(10 * 60)       /* 10 minutes */</initializer>
        <briefdescription>
<para>Length of time to check for downloads. </para>        </briefdescription>
        <detaileddescription>
<para>OTA Agent wakes up, connects to server, and waits this much time before disconnecting. This allows the OTA Agent to be inactive for long periods of time, only checking for short periods. Use 0x00 to continue checking once started. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="81" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="81" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga28238863ca54b663f9faea4823253a42" kind="define" prot="public" static="no">
        <name>CY_OTA_PACKET_INTERVAL_SECS</name>
        <initializer>(60)           /* 1 minute */</initializer>
        <briefdescription>
<para>Expected maximum download time between each OTA packet arrival. </para>        </briefdescription>
        <detaileddescription>
<para>This is used check that the download occurs in a reasonable time frame. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="90" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="90" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga5ac589095a8184084fc8ee3cf86f6d3f" kind="define" prot="public" static="no">
        <name>CY_OTA_JOB_CHECK_TIME_SECS</name>
        <initializer>(30)          /* 30 seconds */</initializer>
        <briefdescription>
<para>Length of time to check for getting Job Document. </para>        </briefdescription>
        <detaileddescription>
<para>OTA Agent wakes up, connects to broker/server, and waits this much time before disconnecting. This allows the OTA Agent to be inactive for long periods of time, only checking for short periods. Use 0x00 to continue checking once started. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="101" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="101" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gac601cbb956da2706d87a25219fd38b3d" kind="define" prot="public" static="no">
        <name>CY_OTA_DATA_CHECK_TIME_SECS</name>
        <initializer>(5 * 60)      /* 5 minutes */</initializer>
        <briefdescription>
<para>Length of time to check for getting OTA Image data. </para>        </briefdescription>
        <detaileddescription>
<para>After getting the Job (or during a Direct download), this is the amount of time we wait before deciding we are not going to get the download. Use 0x00 to disable. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="112" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="112" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gad937d8f959bccec87b87f11a9315ae3a" kind="define" prot="public" static="no">
        <name>CY_OTA_RETRIES</name>
        <initializer>(5)        /* 5 overall OTA retries */</initializer>
        <briefdescription>
<para>Length of time to check for OTA Image downloads. </para>        </briefdescription>
        <detaileddescription>
<para>OTA Agent wakes up, connects to server, and waits this much time before disconnecting. This allows the OTA Agent to be inactive for long periods of time, only checking for short periods. Use 0x00 to continue checking once started. Number of OTA session retries</para><para>Retry count for overall OTA session attempts </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="132" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="132" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gaf05c3cff9a4bcdf5d63e5f5d0962f25a" kind="define" prot="public" static="no">
        <name>CY_OTA_CONNECT_RETRIES</name>
        <initializer>(3)        /* 3 server connect retries  */</initializer>
        <briefdescription>
<para>Number of OTA Connect to Server/Broker retries. </para>        </briefdescription>
        <detaileddescription>
<para>Retry count for connection attempts </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="141" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="141" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga63713f2122581c2bee97ebd3dbf1815c" kind="define" prot="public" static="no">
        <name>CY_OTA_MAX_DOWNLOAD_TRIES</name>
        <initializer>(3)         /* 3 download OTA Image retries */</initializer>
        <briefdescription>
<para>Number of OTA download retries. </para>        </briefdescription>
        <detaileddescription>
<para>Retry count for attempts at downloading the OTA Image </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="150" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="150" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gaaa47c22f94edbcb24052a7551f6a2f36" kind="define" prot="public" static="no">
        <name>PUBLISHER_LISTEN_TOPIC</name>
        <initializer>"publish_notify"</initializer>
        <briefdescription>
<para>Last part of the topic to subscribe. </para>        </briefdescription>
        <detaileddescription>
<para>Topic for Device to send message to Publisher: "COMPANY_TOPIC_PREPEND / BOARD_NAME / PUBLISHER_LISTEN_TOPIC" The combined topic needs to match the Publisher's subscribe topic</para><para>Override in cy_ota_config.h </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="169" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="169" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gab3832b31bfefc10020675d714665cd0d" kind="define" prot="public" static="no">
        <name>COMPANY_TOPIC_PREPEND</name>
        <initializer>"anycloud"</initializer>
        <briefdescription>
<para>First part of the topic to subscribe / publish. </para>        </briefdescription>
        <detaileddescription>
<para>Topic for Device to send message to Publisher: "COMPANY_TOPIC_PREPEND / BOARD_NAME / PUBLISHER_LISTEN_TOPIC"</para><para>Override in cy_ota_config.h </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="181" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="181" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga1a071cfd0e7d56ca360196cdc8af9356" kind="define" prot="public" static="no">
        <name>PUBLISHER_DIRECT_TOPIC</name>
        <initializer>"OTAImage"</initializer>
        <briefdescription>
<para>End of Topic to send message to Publisher for Direct download. </para>        </briefdescription>
        <detaileddescription>
<para>Override in cy_ota_config.h </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="190" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="190" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga6a15cee55ef70fdacd2575f7742a1fa9" kind="define" prot="public" static="no">
        <name>CY_OTA_RESULT_SUCCESS</name>
        <initializer>"Success"</initializer>
        <briefdescription>
<para>Update Successful message. </para>        </briefdescription>
        <detaileddescription>
<para>Used with sprintf() to create RESULT message to Broker / Server </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="199" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="199" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gaeafc16eeca288eb87fe3183343c9ec0d" kind="define" prot="public" static="no">
        <name>CY_OTA_RESULT_FAILURE</name>
        <initializer>"Failure"</initializer>
        <briefdescription>
<para>Update Failure message. </para>        </briefdescription>
        <detaileddescription>
<para>Used with sprintf() to create RESULT message to Broker / Server </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="208" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="208" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga0e99cf1a339baebf4f71fe536b2967ea" kind="define" prot="public" static="no">
        <name>CY_OTA_SUBSCRIBE_UPDATES_AVAIL</name>
        <initializer>"{\\"Message\":\"Update Availability\", \\"Manufacturer\": \"Express Widgits Corporation\", \\"ManufacturerID\": \"EWCO\", \\"ProductID\": \"Easy Widgit\", \\"SerialNumber\": \"ABC213450001\", \\"BoardName\": \"CY8CPROTO_062_4343W\", \\"Version\": \"%d.%d.%d\", \\"UniqueTopicName\": \"%s\"\}"</initializer>
        <briefdescription>
<para>Device message to Publisher to ask about updates Used with sprintf() to insert the current version and UniqueTopicName at runtime. </para>        </briefdescription>
        <detaileddescription>
<para>Override if desired by defining in cy_ota_config.h. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="217" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="226" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga66bd4606bfc0f6e85c2172603f9c62a0" kind="define" prot="public" static="no">
        <name>CY_OTA_DOWNLOAD_REQUEST</name>
        <initializer>"{\\"Message\":\"Request Update\", \\"Manufacturer\": \"Express Widgits Corporation\", \\"ManufacturerID\": \"EWCO\", \\"ProductID\": \"Easy Widgit\", \\"SerialNumber\": \"ABC213450001\", \\"BoardName\": \"CY8CPROTO_062_4343W\", \\"Version\": \"%d.%d.%d\", \\"UniqueTopicName\": \"%s\"\}"</initializer>
        <briefdescription>
<para>Device message to Publisher to ask for a download<itemizedlist>
<listitem><para>Used with sprintf() to insert the current version and UniqueTopicName at runtime. </para></listitem></itemizedlist>
</para>        </briefdescription>
        <detaileddescription>
<para>Override if desired by defining in cy_ota_config.h. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="237" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="246" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga2d88b9b738dc724e8fb29883e04dcc23" kind="define" prot="public" static="no">
        <name>CY_OTA_DOWNLOAD_DIRECT_REQUEST</name>
        <initializer>"{\\"Message\":\"Send Direct Update\", \\"Manufacturer\": \"Express Widgits Corporation\", \\"ManufacturerID\": \"EWCO\", \\"ProductID\": \"Easy Widgit\", \\"SerialNumber\": \"ABC213450001\", \\"BoardName\": \"CY8CPROTO_062_4343W\", \\"Version\": \"%d.%d.%d\" \}"</initializer>
        <briefdescription>
<para>Device message to Publisher to ask for a download<itemizedlist>
<listitem><para>Used with sprintf() to insert the current version and UniqueTopicName at runtime. </para></listitem></itemizedlist>
</para>        </briefdescription>
        <detaileddescription>
<para>Override if desired by defining in cy_ota_config.h. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="257" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="265" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga1eace95e0ec47d50df1e2810f4751173" kind="define" prot="public" static="no">
        <name>CY_OTA_MQTT_RESULT_JSON</name>
        <initializer>"{\\"Message\":\"%s\", \\"UniqueTopicName\": \"%s\"\}"</initializer>
        <briefdescription>
<para>Device JSON doc to respond to MQTT Publisher. </para>        </briefdescription>
        <detaileddescription>
<para>Used with sprintf() to create the JSON message Override if desired by defining in cy_ota_config.h. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="276" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="279" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gaa642af38818fce01f3a9c6960bc6d64d" kind="define" prot="public" static="no">
        <name>CY_OTA_HTTP_RESULT_JSON</name>
        <initializer>"{\\"Message\":\"%s\", \\"File\":\"%s\" \}"</initializer>
        <briefdescription>
<para>Device JSON doc to respond to HTTP Server. </para>        </briefdescription>
        <detaileddescription>
<para>Used with sprintf() to create the JSON message Override if desired by defining in cy_ota_config.h. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="290" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="293" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gabdddb494aa853699bec01c254bd307dd" kind="define" prot="public" static="no">
        <name>CY_OTA_HTTP_GET_TEMPLATE</name>
        <initializer>"GET %s HTTP/1.1\r\n" \
    "Host: %s:%d \r\n" \
    "\r\n"</initializer>
        <briefdescription>
<para>HTTP GET template. </para>        </briefdescription>
        <detaileddescription>
<para>Used with sprintf() to create the GET request for HTTP server Override if desired by defining in cy_ota_config.h. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="304" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="304" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gac14bf9939b2bd5d0b62817a87b4b30fa" kind="define" prot="public" static="no">
        <name>CY_OTA_HTTP_POST_TEMPLATE</name>
        <initializer>"POST %s HTTP/1.1\r\n" \
    "Content-Length:%ld \r\n" \
    "\r\n%s"</initializer>
        <briefdescription>
<para>HTTP POST template. </para>        </briefdescription>
        <detaileddescription>
<para>Used with sprintf() to create the POST message for HTTP server Override if desired by defining in cy_ota_config.h. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="317" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="317" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga448aa081432d624219ebedc2f28f5841" kind="define" prot="public" static="no">
        <name>CY_OTA_MQTT_KEEP_ALIVE_SECONDS</name>
        <initializer>(60)                /* 60 second keep-alive */</initializer>
        <briefdescription>
<para>The keep-alive interval for MQTT. </para>        </briefdescription>
        <detaileddescription>
<para>Maximum number of MQTT Topics</para><para>An MQTT ping request will be sent periodically at this interval. The maximum number of Topics for subscribing. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="337" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="337" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga3b4d0aa969fb1ec3adefbaec643f78d2" kind="define" prot="public" static="no">
        <name>CY_OTA_MQTT_MAX_TOPICS</name>
        <initializer>(2)</initializer>
        <briefdescription>
<para>Maximum number of MQTT Topics. </para>        </briefdescription>
        <detaileddescription>
<para>The maximum number of Topics for subscribing. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="346" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="346" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1gaacf195683127ce1df77b07cf017990a4" kind="define" prot="public" static="no">
        <name>CY_OTA_MQTT_TOPIC_PREFIX</name>
        <initializer>"cy_ota_device"</initializer>
        <briefdescription>
<para>TOPIC prefix. </para>        </briefdescription>
        <detaileddescription>
<para>Used as prefix for "Will" and "Acknowledgement" Messages </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="355" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="355" />
      </memberdef>
      <memberdef id="group__group__ota__typedefs_1ga44b8c2bc6f4bb63c80b2939969cdb2ff" kind="define" prot="public" static="no">
        <name>CY_OTA_MQTT_CLIENT_ID_PREFIX</name>
        <initializer>"cy_device"</initializer>
        <briefdescription>
<para>The first characters in the client identifier. </para>        </briefdescription>
        <detaileddescription>
<para>A timestamp is appended to this prefix to create a unique client identifer for each connection. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" bodystart="365" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" line="365" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Cypress OTA API default values. </para>    </briefdescription>
    <detaileddescription>
<para>Default Values for OTA library</para><para>Over-ride these defines using the cy_ota_gonfig.h file </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*</highlight></codeline>
<codeline lineno="2"><highlight class="comment"><sp />*<sp />$<sp />Copyright<sp />Cypress<sp />Semiconductor<sp />Apache2<sp />$</highlight></codeline>
<codeline lineno="3"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="4"><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="preprocessor">#ifndef<sp />CY_OTA_DEFAULTS_H__</highlight><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_OTA_DEFAULTS_H__<sp />1</highlight><highlight class="normal" /></codeline>
<codeline lineno="22"><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_result.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="preprocessor">#ifndef<sp />CY_OTA_INITIAL_CHECK_SECS</highlight><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_OTA_INITIAL_CHECK_SECS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(60)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />60<sp />seconds<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="preprocessor">#ifndef<sp />CY_OTA_NEXT_CHECK_INTERVAL_SECS</highlight><highlight class="normal" /></codeline>
<codeline lineno="58"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_OTA_NEXT_CHECK_INTERVAL_SECS<sp /><sp /><sp /><sp /><sp />(60<sp />*<sp />60<sp />*<sp />24)<sp /></highlight><highlight class="comment">/*<sp />once<sp />per<sp />day<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="60"><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="preprocessor">#ifndef<sp />CY_OTA_RETRY_INTERVAL_SECS</highlight><highlight class="normal" /></codeline>
<codeline lineno="70"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_OTA_RETRY_INTERVAL_SECS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(5)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />5<sp />seconds<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="preprocessor">#ifndef<sp />CY_OTA_CHECK_TIME_SECS</highlight><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_OTA_CHECK_TIME_SECS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(10<sp />*<sp />60)<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />10<sp />minutes<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="82"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="83"><highlight class="normal" /></codeline>
<codeline lineno="89"><highlight class="preprocessor">#ifndef<sp />CY_OTA_PACKET_INTERVAL_SECS</highlight><highlight class="normal" /></codeline>
<codeline lineno="90"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_OTA_PACKET_INTERVAL_SECS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(60)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />1<sp />minute<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="92"><highlight class="normal" /></codeline>
<codeline lineno="100"><highlight class="preprocessor">#ifndef<sp />CY_OTA_JOB_CHECK_TIME_SECS</highlight><highlight class="normal" /></codeline>
<codeline lineno="101"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_OTA_JOB_CHECK_TIME_SECS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(30)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />30<sp />seconds<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="102"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="preprocessor">#ifndef<sp />CY_OTA_DATA_CHECK_TIME_SECS</highlight><highlight class="normal" /></codeline>
<codeline lineno="112"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_OTA_DATA_CHECK_TIME_SECS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(5<sp />*<sp />60)<sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />5<sp />minutes<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="113"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="114"><highlight class="normal" /></codeline>
<codeline lineno="122"><highlight class="preprocessor">#ifndef<sp />CY_OTA_CHECK_TIME_SECS</highlight><highlight class="normal" /></codeline>
<codeline lineno="123"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_OTA_CHECK_TIME_SECS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(60<sp />*<sp />10)<sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />10<sp />minutes<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="124"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="125"><highlight class="normal" /></codeline>
<codeline lineno="131"><highlight class="preprocessor">#ifndef<sp />CY_OTA_RETRIES</highlight><highlight class="normal" /></codeline>
<codeline lineno="132"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_OTA_RETRIES<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(5)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />5<sp />overall<sp />OTA<sp />retries<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="133"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="134"><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="preprocessor">#ifndef<sp />CY_OTA_CONNECT_RETRIES</highlight><highlight class="normal" /></codeline>
<codeline lineno="141"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_OTA_CONNECT_RETRIES<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(3)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />3<sp />server<sp />connect<sp />retries<sp /><sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="142"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="143"><highlight class="normal" /></codeline>
<codeline lineno="149"><highlight class="preprocessor">#ifndef<sp />CY_OTA_MAX_DOWNLOAD_TRIES</highlight><highlight class="normal" /></codeline>
<codeline lineno="150"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_OTA_MAX_DOWNLOAD_TRIES<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(3)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />3<sp />download<sp />OTA<sp />Image<sp />retries<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="151"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="152"><highlight class="normal" /></codeline>
<codeline lineno="153"><highlight class="normal" /></codeline>
<codeline lineno="154"><highlight class="normal" /><highlight class="comment">/**********************************************************************</highlight></codeline>
<codeline lineno="155"><highlight class="comment"><sp />*<sp />Message<sp />Defines</highlight></codeline>
<codeline lineno="156"><highlight class="comment"><sp />**********************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="157"><highlight class="normal" /></codeline>
<codeline lineno="158"><highlight class="normal" /></codeline>
<codeline lineno="168"><highlight class="preprocessor">#ifndef<sp />PUBLISHER_LISTEN_TOPIC</highlight><highlight class="normal" /></codeline>
<codeline lineno="169"><highlight class="normal" /><highlight class="preprocessor">#define<sp />PUBLISHER_LISTEN_TOPIC<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />"publish_notify"</highlight><highlight class="normal" /></codeline>
<codeline lineno="170"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="171"><highlight class="normal" /></codeline>
<codeline lineno="180"><highlight class="preprocessor">#ifndef<sp />COMPANY_TOPIC_PREPEND</highlight><highlight class="normal" /></codeline>
<codeline lineno="181"><highlight class="normal" /><highlight class="preprocessor">#define<sp />COMPANY_TOPIC_PREPEND<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />"anycloud"</highlight><highlight class="normal" /></codeline>
<codeline lineno="182"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="183"><highlight class="normal" /></codeline>
<codeline lineno="189"><highlight class="preprocessor">#ifndef<sp />PUBLISHER_DIRECT_TOPIC</highlight><highlight class="normal" /></codeline>
<codeline lineno="190"><highlight class="normal" /><highlight class="preprocessor">#define<sp />PUBLISHER_DIRECT_TOPIC<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />"OTAImage"</highlight><highlight class="normal" /></codeline>
<codeline lineno="191"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="192"><highlight class="normal" /></codeline>
<codeline lineno="198"><highlight class="preprocessor">#ifndef<sp />CY_OTA_RESULT_SUCCESS</highlight><highlight class="normal" /></codeline>
<codeline lineno="199"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_OTA_RESULT_SUCCESS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />"Success"</highlight><highlight class="normal" /></codeline>
<codeline lineno="200"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="201"><highlight class="normal" /></codeline>
<codeline lineno="207"><highlight class="preprocessor">#ifndef<sp />CY_OTA_RESULT_FAILURE</highlight><highlight class="normal" /></codeline>
<codeline lineno="208"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_OTA_RESULT_FAILURE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />"Failure"</highlight><highlight class="normal" /></codeline>
<codeline lineno="209"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="210"><highlight class="normal" /></codeline>
<codeline lineno="216"><highlight class="preprocessor">#ifndef<sp />CY_OTA_SUBSCRIBE_UPDATES_AVAIL</highlight><highlight class="normal" /></codeline>
<codeline lineno="217"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_OTA_SUBSCRIBE_UPDATES_AVAIL<sp />\</highlight></codeline>
<codeline lineno="218"><highlight class="preprocessor">"{\</highlight></codeline>
<codeline lineno="219"><highlight class="preprocessor">\"Message\":\"Update<sp />Availability\",<sp />\</highlight></codeline>
<codeline lineno="220"><highlight class="preprocessor">\"Manufacturer\":<sp />\"Express<sp />Widgits<sp />Corporation\",<sp />\</highlight></codeline>
<codeline lineno="221"><highlight class="preprocessor">\"ManufacturerID\":<sp />\"EWCO\",<sp />\</highlight></codeline>
<codeline lineno="222"><highlight class="preprocessor">\"ProductID\":<sp />\"Easy<sp />Widgit\",<sp />\</highlight></codeline>
<codeline lineno="223"><highlight class="preprocessor">\"SerialNumber\":<sp />\"ABC213450001\",<sp />\</highlight></codeline>
<codeline lineno="224"><highlight class="preprocessor">\"BoardName\":<sp />\"CY8CPROTO_062_4343W\",<sp />\</highlight></codeline>
<codeline lineno="225"><highlight class="preprocessor">\"Version\":<sp />\"%d.%d.%d\",<sp />\</highlight></codeline>
<codeline lineno="226"><highlight class="preprocessor">\"UniqueTopicName\":<sp />\"%s\"\</highlight></codeline>
<codeline lineno="227"><highlight class="preprocessor">}"</highlight><highlight class="normal" /></codeline>
<codeline lineno="228"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="229"><highlight class="normal" /></codeline>
<codeline lineno="236"><highlight class="preprocessor">#ifndef<sp />CY_OTA_DOWNLOAD_REQUEST</highlight><highlight class="normal" /></codeline>
<codeline lineno="237"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_OTA_DOWNLOAD_REQUEST<sp />\</highlight></codeline>
<codeline lineno="238"><highlight class="preprocessor">"{\</highlight></codeline>
<codeline lineno="239"><highlight class="preprocessor">\"Message\":\"Request<sp />Update\",<sp />\</highlight></codeline>
<codeline lineno="240"><highlight class="preprocessor">\"Manufacturer\":<sp />\"Express<sp />Widgits<sp />Corporation\",<sp />\</highlight></codeline>
<codeline lineno="241"><highlight class="preprocessor">\"ManufacturerID\":<sp />\"EWCO\",<sp />\</highlight></codeline>
<codeline lineno="242"><highlight class="preprocessor">\"ProductID\":<sp />\"Easy<sp />Widgit\",<sp />\</highlight></codeline>
<codeline lineno="243"><highlight class="preprocessor">\"SerialNumber\":<sp />\"ABC213450001\",<sp />\</highlight></codeline>
<codeline lineno="244"><highlight class="preprocessor">\"BoardName\":<sp />\"CY8CPROTO_062_4343W\",<sp />\</highlight></codeline>
<codeline lineno="245"><highlight class="preprocessor">\"Version\":<sp />\"%d.%d.%d\",<sp />\</highlight></codeline>
<codeline lineno="246"><highlight class="preprocessor">\"UniqueTopicName\":<sp />\"%s\"\</highlight></codeline>
<codeline lineno="247"><highlight class="preprocessor">}"</highlight><highlight class="normal" /></codeline>
<codeline lineno="248"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="249"><highlight class="normal" /></codeline>
<codeline lineno="256"><highlight class="preprocessor">#ifndef<sp />CY_OTA_DOWNLOAD_DIRECT_REQUEST</highlight><highlight class="normal" /></codeline>
<codeline lineno="257"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_OTA_DOWNLOAD_DIRECT_REQUEST<sp />\</highlight></codeline>
<codeline lineno="258"><highlight class="preprocessor">"{\</highlight></codeline>
<codeline lineno="259"><highlight class="preprocessor">\"Message\":\"Send<sp />Direct<sp />Update\",<sp />\</highlight></codeline>
<codeline lineno="260"><highlight class="preprocessor">\"Manufacturer\":<sp />\"Express<sp />Widgits<sp />Corporation\",<sp />\</highlight></codeline>
<codeline lineno="261"><highlight class="preprocessor">\"ManufacturerID\":<sp />\"EWCO\",<sp />\</highlight></codeline>
<codeline lineno="262"><highlight class="preprocessor">\"ProductID\":<sp />\"Easy<sp />Widgit\",<sp />\</highlight></codeline>
<codeline lineno="263"><highlight class="preprocessor">\"SerialNumber\":<sp />\"ABC213450001\",<sp />\</highlight></codeline>
<codeline lineno="264"><highlight class="preprocessor">\"BoardName\":<sp />\"CY8CPROTO_062_4343W\",<sp />\</highlight></codeline>
<codeline lineno="265"><highlight class="preprocessor">\"Version\":<sp />\"%d.%d.%d\"<sp />\</highlight></codeline>
<codeline lineno="266"><highlight class="preprocessor">}"</highlight><highlight class="normal" /></codeline>
<codeline lineno="267"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="268"><highlight class="normal" /></codeline>
<codeline lineno="275"><highlight class="preprocessor">#ifndef<sp />CY_OTA_MQTT_RESULT_JSON</highlight><highlight class="normal" /></codeline>
<codeline lineno="276"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_OTA_MQTT_RESULT_JSON<sp />\</highlight></codeline>
<codeline lineno="277"><highlight class="preprocessor">"{\</highlight></codeline>
<codeline lineno="278"><highlight class="preprocessor">\"Message\":\"%s\",<sp />\</highlight></codeline>
<codeline lineno="279"><highlight class="preprocessor">\"UniqueTopicName\":<sp />\"%s\"\</highlight></codeline>
<codeline lineno="280"><highlight class="preprocessor">}"</highlight><highlight class="normal" /></codeline>
<codeline lineno="281"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="282"><highlight class="normal" /></codeline>
<codeline lineno="289"><highlight class="preprocessor">#ifndef<sp />CY_OTA_HTTP_RESULT_JSON</highlight><highlight class="normal" /></codeline>
<codeline lineno="290"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_OTA_HTTP_RESULT_JSON<sp />\</highlight></codeline>
<codeline lineno="291"><highlight class="preprocessor">"{\</highlight></codeline>
<codeline lineno="292"><highlight class="preprocessor">\"Message\":\"%s\",<sp />\</highlight></codeline>
<codeline lineno="293"><highlight class="preprocessor">\"File\":\"%s\"<sp />\</highlight></codeline>
<codeline lineno="294"><highlight class="preprocessor">}"</highlight><highlight class="normal" /></codeline>
<codeline lineno="295"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="296"><highlight class="normal" /></codeline>
<codeline lineno="303"><highlight class="preprocessor">#ifndef<sp />CY_OTA_HTTP_GET_TEMPLATE</highlight><highlight class="normal" /></codeline>
<codeline lineno="304"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_OTA_HTTP_GET_TEMPLATE<sp />\</highlight></codeline>
<codeline lineno="305"><highlight class="preprocessor"><sp /><sp /><sp /><sp />"GET<sp />%s<sp />HTTP/1.1\r\n"<sp />\</highlight></codeline>
<codeline lineno="306"><highlight class="preprocessor"><sp /><sp /><sp /><sp />"Host:<sp />%s:%d<sp />\r\n"<sp />\</highlight></codeline>
<codeline lineno="307"><highlight class="preprocessor"><sp /><sp /><sp /><sp />"\r\n"</highlight><highlight class="normal" /></codeline>
<codeline lineno="308"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="309"><highlight class="normal" /></codeline>
<codeline lineno="316"><highlight class="preprocessor">#ifndef<sp />CY_OTA_HTTP_POST_TEMPLATE</highlight><highlight class="normal" /></codeline>
<codeline lineno="317"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_OTA_HTTP_POST_TEMPLATE<sp />\</highlight></codeline>
<codeline lineno="318"><highlight class="preprocessor"><sp /><sp /><sp /><sp />"POST<sp />%s<sp />HTTP/1.1\r\n"<sp />\</highlight></codeline>
<codeline lineno="319"><highlight class="preprocessor"><sp /><sp /><sp /><sp />"Content-Length:%ld<sp />\r\n"<sp />\</highlight></codeline>
<codeline lineno="320"><highlight class="preprocessor"><sp /><sp /><sp /><sp />"\r\n%s"</highlight><highlight class="normal" /></codeline>
<codeline lineno="321"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="322"><highlight class="normal" /></codeline>
<codeline lineno="323"><highlight class="normal" /><highlight class="comment">/***********************************************************************</highlight></codeline>
<codeline lineno="324"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="325"><highlight class="comment"><sp />*<sp />MQTT<sp />Specific<sp />defines</highlight></codeline>
<codeline lineno="326"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="327"><highlight class="comment"><sp />**********************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="328"><highlight class="normal" /></codeline>
<codeline lineno="336"><highlight class="preprocessor">#ifndef<sp />CY_OTA_MQTT_KEEP_ALIVE_SECONDS</highlight><highlight class="normal" /></codeline>
<codeline lineno="337"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_OTA_MQTT_KEEP_ALIVE_SECONDS<sp /><sp /><sp /><sp /><sp /><sp />(60)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />60<sp />second<sp />keep-alive<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="338"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="339"><highlight class="normal" /></codeline>
<codeline lineno="345"><highlight class="preprocessor">#ifndef<sp />CY_OTA_MQTT_MAX_TOPICS</highlight><highlight class="normal" /></codeline>
<codeline lineno="346"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_OTA_MQTT_MAX_TOPICS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(2)</highlight><highlight class="normal" /></codeline>
<codeline lineno="347"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="348"><highlight class="normal" /></codeline>
<codeline lineno="354"><highlight class="preprocessor">#ifndef<sp />CY_OTA_MQTT_TOPIC_PREFIX</highlight><highlight class="normal" /></codeline>
<codeline lineno="355"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_OTA_MQTT_TOPIC_PREFIX<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />"cy_ota_device"</highlight><highlight class="normal" /></codeline>
<codeline lineno="356"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="357"><highlight class="normal" /></codeline>
<codeline lineno="364"><highlight class="preprocessor">#ifndef<sp />CY_OTA_MQTT_CLIENT_ID_PREFIX</highlight><highlight class="normal" /></codeline>
<codeline lineno="365"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_OTA_MQTT_CLIENT_ID_PREFIX<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />"cy_device"</highlight><highlight class="normal" /></codeline>
<codeline lineno="366"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="367"><highlight class="normal" /></codeline>
<codeline lineno="370"><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="371"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="372"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="373"><highlight class="normal" /></codeline>
<codeline lineno="374"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_OTA_DEFAULTS_H__<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="375"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_defaults.h" />
  </compounddef>
</doxygen>